Index: code/trunk/src/orxonox/OrxonoxPrereqs.h
===================================================================
--- code/trunk/src/orxonox/OrxonoxPrereqs.h	(revision 3370)
+++ code/trunk/src/orxonox/OrxonoxPrereqs.h	(revision 5693)
@@ -37,9 +37,10 @@
 #include "OrxonoxConfig.h"
 
+#include "tools/ToolsPrereqs.h"
+
 //-----------------------------------------------------------------------
 // Shared library settings
 //-----------------------------------------------------------------------
-#define ORXONOX_NO_EXPORTS // This is an executable that needs no exports
-#if defined(ORXONOX_PLATFORM_WINDOWS) && !(defined(ORXONOX_STATIC_BUILD) || defined(ORXONOX_NO_EXPORTS))
+#if defined(ORXONOX_PLATFORM_WINDOWS) && !defined(ORXONOX_STATIC_BUILD)
 #  ifdef ORXONOX_SHARED_BUILD
 #    define _OrxonoxExport __declspec(dllexport)
@@ -63,21 +64,5 @@
 namespace orxonox
 {
-    namespace LODParticle
-    {
-        enum Value
-        {
-            Off = 0,
-            Low = 1,
-            Normal = 2,
-            High = 3
-        };
-    }
-
-    class RadarViewable;
-    class Radar;
-    class RadarListener;
-
-    class Teamcolourable;
-
+    // manager
     class CameraManager;
     class LevelManager;
@@ -85,4 +70,13 @@
     class PlayerManager;
 
+    // interfaces
+    class GametypeMessageListener;
+    class NotificationListener;
+    class PawnListener;
+    class RadarListener;
+    class RadarViewable;
+    class Rewardable;
+    class Teamcolourable;
+
     // objects
     class Level;
@@ -90,23 +84,5 @@
     class Tickable;
 
-    class AddQuest;
-    class AddQuestHint;
-    class AddReward;
-    class ChangeQuestStatus;
-    class CompleteQuest;
-    class FailQuest;
-    class GlobalQuest;
-    class LocalQuest;
-    class Quest;
-    class QuestDescription;
-    class QuestEffect;
-    class QuestEffectBeacon;
-    class QuestHint;
-    class QuestItem;
-    class QuestListener;
-    class QuestManager;
-    class QuestNotification;
-    class Rewardable;
-
+    // worldentities
     class WorldEntity;
     class StaticEntity;
@@ -114,8 +90,6 @@
     class ControllableEntity;
     class MovableEntity;
-    class Sublevel;
-    class ForceField;
-    class Attacher;
-
+
+    // graphics
     class Model;
     class Billboard;
@@ -129,15 +103,27 @@
     class ParticleEmitter;
     class ParticleSpawner;
-
+    class Camera;
+
+    // mixed
     class PongCenterpoint;
     class PongBall;
     class PongBat;
 
-    class Camera;
-    class CameraPosition;
+    class EventListener;
+    class EventDispatcher;
+    class EventTarget;
+
     class SpawnPoint;
     class TeamSpawnPoint;
+
+    class Attacher;
+    class CameraPosition;
+    class Sublevel;
+    class ForceField;
+    class Radar;
+
     class Test;
 
+    // pawns
     class Spectator;
     class Pawn;
@@ -146,4 +132,14 @@
     class Destroyer;
 
+    // gametypes
+    class Gametype;
+    class Deathmatch;
+    class TeamDeathmatch;
+    class Asteroids;
+    class TeamBaseMatch;
+    class UnderAttack;
+    class Pong;
+
+    // pickups
     class BaseItem;
     class DroppedItem;
@@ -160,4 +156,5 @@
     class PassiveItem;
 
+    // items
     class Item;
     class Engine;
@@ -165,4 +162,5 @@
     class RotatingEngine;
 
+    // trigger
     class Trigger;
     class DistanceTrigger;
@@ -171,4 +169,5 @@
     class CheckPoint;
 
+    // weaponsystem
     class WeaponSystem;
     class WeaponSet;
@@ -178,26 +177,7 @@
     class WeaponMode;
     class DefaultWeaponmodeLink;
-    class MuzzleFlash;
-
-    class LaserFire;
-    class FusionFire;
-    class HsW01;
-    class LightningGun;
-    class EnergyDrink;
-
-    class ReplenishingMunition;
     class Munition;
-    class LaserMunition;
-    class FusionMunition;
-
-    class Projectile;
-    class BillboardProjectile;
-    class ParticleProjectile;
-    class LightningGunProjectile;
-
-    class EventListener;
-    class EventDispatcher;
-    class EventTarget;
-
+
+    // controller
     class Controller;
     class HumanController;
@@ -209,4 +189,5 @@
     class PongAI;
 
+    // infos
     class Info;
     class PlayerInfo;
@@ -216,17 +197,4 @@
     class GametypeInfo;
 
-    class Gametype;
-    class Deathmatch;
-    class TeamDeathmatch;
-    class Asteroids;
-    class TeamBaseMatch;
-    class UnderAttack;
-    class Pong;
-
-    class Scores;
-    class CreateLines;
-    class Scoreboard;
-    class Stats;
-
     // collision
     class CollisionShape;
@@ -236,39 +204,10 @@
     class WorldEntityCollisionShape;
 
-    // tools
-    class BillboardSet;
-    class Light;
-    class Mesh;
-    class ParticleInterface;
-    class Shader;
-    template <class T>
-    class Timer;
-
     // overlays
-    class BarColour;
-    class DebugFPSText;
-    class DebugRTRText;
-    class GUIOverlay;
-    class HUDBar;
-    class HUDNavigation;
-    class HUDRadar;
-    class HUDSpeedBar;
-    class HUDHealthBar;
-    class HUDTimer;
-    class InGameConsole;
+    class OverlayGroup;
+    class OrxonoxOverlay;
     class Notification;
     class NotificationManager;
-    class NotificationOverlay;
-    class NotificationQueue;
-    class OrxonoxOverlay;
-    class OverlayGroup;
-    class OverlayText;
-    class FadeoutText;
-    class GametypeStatus;
-    class AnnounceMessage;
-    class KillMessage;
-    class DeathMessage;
-    class CreateLines;
-    class Scoreboard;
+    class InGameConsole;
     class Map;
 
@@ -279,11 +218,4 @@
 }
 
-namespace Ogre
-{
-    // OGRE Wiki adapted code
-    class DynamicLines;
-    class DynamicRenderable;
-}
-
 // Bullet Physics Engine
 class btTransform;
